Subject: complex wave functions

From: [email-masked] (Ayaz Bakasov, Phys. Chem., ETH Zurich)
Date: Fri, 31 Mar 1995 18:38:56 +0200

On March 30, 1995,
Dr. Herbert H. H. Homeier
wrote in response to my posting 
about complex wave functions:

> One comment here: The basic reason 
> for using real wavefunctions/basis sets 
> is probably the theorem that in a system 
> with time reversal symmetry one can choose 
> the wavefunction to be real 
> IF spin is not considered.
> A similar statement including spin 
> probably holds if closed shell systems are 
> considered (if somebody has a proof or 
> knows a reference, please send me an e-mail).

I feel I can elaborate this point
and put some textbook references on.

Let me first cite 
L.D.Landau and E.M.Lifschitz [L&L]:
"Quantum mechanics, Non-relativistic Theory",
(Pergamon Press, Oxford, 1977, 3rd edition).

[L&L]Page 55:
^^^^^^^^^
"Schroedinger equation for the wave functions
 \psi of stationary states are real,
 as are the conditions imposed on its solution.
 Hence its solutions can always be taken real.
 Footnote \dagger: These assertions are NOT valid
 for systems in magnetic field."
"..the equations of quantum mechanics are unchanged
 by time reversal.. the invariance of the wave function
 when the sign of t is reversed and \Psi is
 simultaneously replaced by \Psi^*
 Footnote \ddagger: It is assumed that the potential
 energy U does NOT depend explicitly on the time:
 the system is either closed or in constant
 (NON-MAGNETIC) field".

[L&L]Page 221:
 "..when spin is present, a refinement is necessary."
[L&L]Page 222:
 "..not only in a closed system but in any external
    electric feild (theere being NO magnetic field)
    there is the symmetry with respect to the time
    reversal."
 
What we see from this 'simple' statements is this:
Schroedinger equation for stationary states does not
depend on time, and the operation of time reversal
becomes just the operation of complex conjugation 
of wave function. And if time reversal is present then
complex conjugation does not alter the energy of 
stationary states and the stationary states are 
twofold (at least) degenerate.
So, the complete wave function for the given
energy is linear superposition of two mutually 
conjugate wave function, i.e. it is a REAL 
wave function.

Now, we also heared from L&L that electric field
does not remove time reversal symmetry
(for stationary case read: invariance under complex
 conjugation of wave function).

I hope this clarifies the question addressed
by Dr. Herbert H. H. Homeier.

Let me continue - I still feel I have more
to say. 

When complex wave function is necessary ?
The quantity which allows us to be in control
over this is the QUANTUM-MECHANICAL CURRENT.
It is a one line calculation to show that
it identically cancels if wave function is
real. See please A.S.Davydov "Quantum mechanics",
(Pergamon, 1976, Int. Series in Nat. Phil. vol.1).
On page 50, formula (15.9) he clearly
explains the phenomenon of fundamental dependence
of current on complex phase of wave function.

Now, we see that all our scaterred knowledge
on cases when COMPLEX wave function is necessary 
fits into this scheme: 
1) When orbital momentum has definite value
   of its 3rd component then it is a circular
   current of electron around the nucleus
   (and the wave fucntion is e^(i*m*phi));
2) When there is a plane wave (which is itself
   the pure complex phase) then it is a current 
   of particles propagating in some direction,
   the momentum has definite values;
3) When there are periodic boundary conditions
   then we have Bloch functions -- the presence
   of microcurrents associated with electron
   spins makes them necessarily complex. 

Periodic motion is NOT that general criterion:
while periodic circling of electron around
the nucleus causes complex wave function (case 1),
the motion of harmonic oscillator is perfectly
described by real wave functions.   

I hope I made clear this point too.

It is easy to speculate on the consequences
of the fundamental dependence of quantum-mechanical
current on the phase of the complex wavve function.

For instance, the magnetic field is immediately
associated with the quantum-mechanical current
if the particle is charged -- and it IS the case
in molecular quantum physics (quantum chemistry).
That's why all the argumentation about importance
of magnetic effects for complex wave functions
(or vise versa) appears.

Another point: open shell implies uncompensated spin,
uncompensated spin implies uncompensated magnetic
moment and therefore non-zero magnetic field, 
and, at last, it implies existing quantum-mechnical 
current associated with it.
So, Dr. Herbert H. H. Homeier was right and we were
able to put his remark into systematic approach
- open shell necessarily requires complex wave 
function.

Dr. Herbert H. H. Homeier made also few useful 
remark about technical details involved when
complex functions are used.

I think it is a separate important question
whose status is equal to status of any general 
question about use of a computational method.

It is, at present, more important to make
people convinced that further essential progress
in quality of calculations is impossible
without complex wave functions and without 
including the associated magnetic terms 
into molecular Hamiltonian
(spin-orbit, and afterwards hyperfine terms).

Continuing use of Coulomb Hamiltonian only
at the continuously increasing numerical accuracy
is a dead end. The omitted magnetic terms
are quite large on scale of accuracy
claimed nowadays even by standard packages.

It is time for chemists to give up
quantum mechanics of thirties and turn
to the modern quantum mechanics.

It is time for physicists to understand
that computer progress made available
many challenging problems in molecular physics
- the problems which were avoided as plague
since they were not treatable by analytical 
techniques and were therefore "not fundamental".

Crisis of high energy physics and high cost
physics in general "helps" physicists to turn
to molecular physics. Growth of computer might
and attainable accuracy presses chemists to
reconsider formalism employed in thirties
and based on Coulomb interaction only.

Sincerely,
Ayaz Bakasov.